Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij
Class VirtualStack

    java.lang.Object
      ij.ImageStack
          ij.VirtualStack

public class VirtualStack
extends ImageStack

This class represents an array of disk-resident images.

Constructor Summary
`VirtualStack(int width, int height, java.awt.image.ColorModel cm, java.lang.String path)` Creates a new, empty virtual stack.

Method Summary
`void` | `addSlice(java.lang.String name)` Adds an image to the end of the stack.
`void` | `addSlice(java.lang.String sliceLabel, ImageProcessor ip)` Does nothing..
`void` | `addSlice(java.lang.String sliceLabel, ImageProcessor ip, int n)` Does noting.
`void` | `addSlice(java.lang.String sliceLabel, java.lang.Object pixels)` Does nothing.
`void` | `deleteLastSlice()` Deletes the last slice in the stack.
`void` | `deleteSlice(int n)` Deletes the specified slice, were 1<=n<=nslices.
`java.lang.String` | `getDirectory()` Returns the path to the directory containing the images.
`java.lang.String` | `getFileName(int n)` Returns the file name of the specified slice, were 1<=n<=nslices.
`java.lang.Object[]` | `getImageArray()` Returns null.
`java.lang.Object` | `getPixels(int n)` Returns the pixel array for the specified slice, were 1<=n<=nslices.
`ImageProcessor` | `getProcessor(int n)` Returns an ImageProcessor for the specified slice, were 1<=n<=nslices.
`int` | `getSize()` Returns the number of slices in this stack.
`java.lang.String` | `getSliceLabel(int n)` Returns the file name of the Nth image.
`boolean` | `isVirtual()` Always return true.
`void` | `setPixels(java.lang.Object pixels, int n)` Assigns a pixel array to the specified slice, were 1<=n<=nslices.
`void` | `setSliceLabel(java.lang.String label, int n)` Does nothing.
`void` | `trim()` Does nothing.

Methods inherited from class ij.ImageStack
`addUnsignedShortSlice, getColorModel, getHeight, getRoi, getShortSliceLabel, getSliceLabels, getWidth, isHSB, isRGB, setColorModel, setRoi, toString, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualStack

    public VirtualStack(int width,
                        int height,
                        java.awt.image.ColorModel cm,
                        java.lang.String path)

  Creates a new, empty virtual stack.

Method Detail

### addSlice

    public void addSlice(java.lang.String name)

  Adds an image to the end of the stack.

### addSlice

    public void addSlice(java.lang.String sliceLabel,
                         java.lang.Object pixels)

  Does nothing.

  Overrides:
    `addSlice` in class `ImageStack`

### addSlice

    public void addSlice(java.lang.String sliceLabel,
                         ImageProcessor ip)

  Does nothing..

  Overrides:
    `addSlice` in class `ImageStack`

### addSlice

    public void addSlice(java.lang.String sliceLabel,
                         ImageProcessor ip,
                         int n)

  Does noting.

  Overrides:
    `addSlice` in class `ImageStack`

### deleteSlice

    public void deleteSlice(int n)

  Deletes the specified slice, were 1<=n<=nslices.

  Overrides:
    `deleteSlice` in class `ImageStack`

### deleteLastSlice

    public void deleteLastSlice()

  Deletes the last slice in the stack.

  Overrides:
    `deleteLastSlice` in class `ImageStack`

### getPixels

    public java.lang.Object getPixels(int n)

  Returns the pixel array for the specified slice, were 1<=n<=nslices.

  Overrides:
    `getPixels` in class `ImageStack`

### setPixels

    public void setPixels(java.lang.Object pixels,
                          int n)

  Assigns a pixel array to the specified slice, were 1<=n<=nslices.

  Overrides:
    `setPixels` in class `ImageStack`

### getProcessor

    public ImageProcessor getProcessor(int n)

  Returns an ImageProcessor for the specified slice, were 1<=n<=nslices. Returns null if the stack is empty.

  Overrides:
    `getProcessor` in class `ImageStack`

### getSize

    public int getSize()

  Returns the number of slices in this stack.

  Overrides:
    `getSize` in class `ImageStack`

### getSliceLabel

    public java.lang.String getSliceLabel(int n)

  Returns the file name of the Nth image.

  Overrides:
    `getSliceLabel` in class `ImageStack`

### getImageArray

    public java.lang.Object[] getImageArray()

  Returns null.

  Overrides:
    `getImageArray` in class `ImageStack`

### setSliceLabel

    public void setSliceLabel(java.lang.String label,
                              int n)

  Does nothing.

  Overrides:
    `setSliceLabel` in class `ImageStack`

### isVirtual

    public boolean isVirtual()

  Always return true.

  Overrides:
    `isVirtual` in class `ImageStack`

### trim

    public void trim()

  Does nothing.

  Overrides:
    `trim` in class `ImageStack`

### getDirectory

    public java.lang.String getDirectory()

  Returns the path to the directory containing the images.

### getFileName

    public java.lang.String getFileName(int n)

  Returns the file name of the specified slice, were 1<=n<=nslices.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD